# Generated from ephemeron-0.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ephemeron

Name: rubygem-%{gem_name}
Version: 0.5.0
Release: 1%{?dist}
Summary: The organic DDD
License: MIT
URL: https://artofcode.co
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.0
# BuildRequires: rubygem(jb) >= 0.7.0
# BuildRequires: rubygem(jb) < 0.8
# BuildRequires: rubygem(rspec-mocks) >= 3.9
# BuildRequires: rubygem(rspec-mocks) < 4
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-rails)
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Ephemeron improves the performance of your app.
It takes on itself the persistence of the ActiveRecord objects.
It protects you from saving the same object many times.
It checks whether a fetched from a database object was used.
It allows you to eliminate the controller's before_actions that are
unnecessarily called.
Ephemeron works in the context of the thread and does the bulk of its job
(i.a. persistence) at the end of the thread's lifecycle.
Although, you can trigger the finalization at any given moment.
You don't have to make a distinction in the code for the part that is
responsible for the domain logic and the other responsible for the application
layers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Aug 23 2021 mockbuilder - 0.5.0-1
- Initial package
